Bug 215957 - Window decoration buttons 'float around'
Window decoration buttons 'float around'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 10:48 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-23 21:37:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
png of one window with floating buttons (25.10 KB, image/png)
2006-11-16 10:55 EST, Tom London
no flags Details
the upper left icon floats, same as buttons (20.82 KB, image/png)
2006-11-21 00:21 EST, Nick Mole
no flags Details

  None (edit)
Description Tom London 2006-11-16 10:48:54 EST
Description of problem:
The Minimize/Maximize/Close buttons on the decoration panel float around
semi-randomly.

Most frequent 'position' is for all three to be shifted to the left 'one button
position'.  Putting the cursor over the minimize button highlights nothing and
clicking it does nothing.  Putting cursor over the maximize button displays
'Minimize Window' and clicking it minimizes. To close window, you need to click
on empty space.

Sometimes one of these buttons is next to the window icon on the far left.

Version-Release number of selected component (if applicable):
compiz-0.3.2-2.fc7


How reproducible:
Every time...

Steps to Reproduce:
1. install, enable
2. select popup etc. some windows.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2006-11-16 10:55:15 EST
Created attachment 141377 [details]
png of one window with floating buttons
Comment 2 Nick Mole 2006-11-21 00:21:37 EST
Created attachment 141729 [details]
the upper left icon floats, same as buttons
Comment 3 Tom London 2006-11-23 13:02:47 EST
compiz-0.3.4-1.fc7 appears to fix this, /usr/bin/gnome-window-decorator is now
/usr/bin/gtk-window-decorator.

Hmmm.  Maybe this was there in compiz-0.3.2-2 ....

Anyway, replacing 'gnome-window-decorator' with 'gtk-window-decorator' in my
session startup list restores things.
Comment 4 Matthias Clasen 2006-11-23 21:37:42 EST
ok, lets close this then.

Note You need to log in before you can comment on or make changes to this bug.